package com.smppw.modaq.domain.dto;

import cn.hutool.core.collection.ListUtil;
import com.smppw.modaq.common.conts.EmailTypeConst;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Setter
@Getter
public class UploadUrlReportParams {
    private String title;
    private List<UrlReportInfo> reportInfos;

    public UploadUrlReportParams() {
        this.reportInfos = ListUtil.list(false);
    }

    @Setter
    @Getter
    public static class UrlReportInfo {
        /**
         * 报告名称
         */
        private String reportName;
        /**
         * 报告类型
         *
         * @see EmailTypeConst
         */
        private Integer reportType;
        /**
         * 如果pdf有密码，可以传密码过来
         */
        private String pdfPwd;
        /**
         * 报告路径，必传
         */
        private String reportUrl;

        public UrlReportInfo() {
        }

        public UrlReportInfo(String reportName, String reportUrl) {
            this.reportName = reportName;
            this.reportUrl = reportUrl;
        }
    }
}